<div
  class="full-height flex-column container-background-color container-border p-10"
  style="width: 600px"
>
  <div class="m-10 p-r-10 flex-fixed-size full-width">
    <sqtm-core-text-research-field
      (newResearchValue)="handleKeyboardInput($event)"
    ></sqtm-core-text-research-field>
  </div>
  <div class="full-height full-width overflow-hidden">
    <sqtm-core-grid
      class="sqtm-core-prevent-selection-in-grid"
    ></sqtm-core-grid>
  </div>
  <div class="m-10 flex-row flex-fixed-size full-width">
    <button
      [attr.data-test-dialog-button-id]="'confirm'"
      class="flex-fixed-size m-l-auto"
      nz-button
      nzType="primary"
      (click)="confirm()"
    >
      {{ 'sqtm-core.generic.label.confirm' | translate }}
    </button>
    <button
      [attr.data-test-dialog-button-id]="'cancel'"
      class="flex-fixed-size m-l-10 m-r-20"
      nz-button
      nzType="default"
      (click)="cancel()"
    >
      {{ 'sqtm-core.generic.label.cancel' | translate }}
    </button>
  </div>
</div>
